Countries
Countries are used in addresses and for VAT group configuration. They can contain states/provinces.
Use the Datastore_Country endpoint to query countries.
Endpoints
List Countries
GET
/v1/odata/Datastore_CountrySingle Countrie
GET
/v1/odata/Datastore_Country({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Countries Fields
| Field | Type | Description |
|---|---|---|
HasIntraCommunityVat | Boolean | HasIntraCommunityVat |
CountryNumber | String | CountryNumber |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Address | Address | 1:N | Address |
| VatGroup | Datastore_VatGroup | 1:N | VatGroup |
| States | Datastore_State | 1:N | States |
Expanding Relationships
GET
/v1/odata/Datastore_Country({id})?$expand=AddressNavigating Relationships
GET
/v1/odata/Datastore_Country({id})/AddressFiltering Examples
GET
/v1/odata/Datastore_Country?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_Country?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_Country?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_Country?$filter=IsDefault eq {IsDefault}&$top={top}